import { jsx } from "react/jsx-runtime";
import { TokenJUNO as TokenJUNO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenJUNO = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "JUNO", "data-name": "TokenJUNO", ...props, children: /* @__PURE__ */ jsx(TokenJUNO$1, { variant }) });
  }
);
TokenJUNO.displayName = "TokenJUNO";
Object.assign(TokenJUNO, { isGdsIcon: true });
export {
  TokenJUNO
};
